diff -ur devscripts-2.9.27.orig/debc.1 devscripts-2.9.27/debc.1
--- devscripts-2.9.27.orig/debc.1	2006-03-31 11:20:06.000000000 +0200
+++ devscripts-2.9.27/debc.1	2006-12-29 16:22:48.000000000 +0100
@@ -5,28 +5,29 @@
 \fBdebc\fP [\fIoptions\fR] [\fIchanges file\fR] [\fIpackage\fR ...]
 .SH DESCRIPTION
 \fBdebc\fR figures out the current version of a package and displays
-information about the .deb files which have been generated in the
-current build process.  If a \fI.changes\fR file is specified on the
-command line, the filename must end with \fI.changes\fR, as this is
-how the program distinguishes it from package names.  If not, then
-\fBdebc\fR has to be called from within the source code directory
+information about the .deb and .udeb files which have been generated
+in the current build process.  If a \fI.changes\fR file is specified
+on the command line, the filename must end with \fI.changes\fR, as
+this is how the program distinguishes it from package names.  If not,
+then \fBdebc\fR has to be called from within the source code directory
 tree.  In this case, it will look for the \fI.changes\fR file
 corresponding to the current package version (by determining the name
 and version number from the changelog, and the architecture in the
 same way as \fBdpkg-buildpackage\fR(1) does).  It then runs
-\fBdpkg-deb \-I\fR and \fBdpkg-deb \-c\fR on every \fI.deb\fR archive
-listed in the \fI.changes\fR file to display information about the
-contents of the \fI.deb\fR files.  It precedes every \fI.deb\fR file
-with the name of the file.  It assumes that all of the \fI.deb\fR
+\fBdpkg-deb \-I\fR and \fBdpkg-deb \-c\fR on every \fI.deb\fR and
+\fI.deb\fR archive listed in the \fI.changes\fR file to display
+information about the contents of the \fI.deb\fR/\fI.udeb\fR files.
+It precedes every \fI.deb\fR/\fI.udeb\fR file with the name of the
+file.  It assumes that all of the \fI.deb\fR/\fI.udeb\fR
 archives live in the same directory as the \fI.changes\fR file.  It is
 useful for ensuring that the expected files have ended up in the
 Debian package.
 .PP
 If a list of packages is given on the command line, then only those
-debs with names in this list of packages will be installed.
+debs or udebs with names in this list of packages will be listed.
 .SH "Directory name checking"
 In common with several other scripts in the \fBdevscripts\fR package,
-\fBdebi\fR will climb the directory tree until it finds a
+\fBdebc\fR will climb the directory tree until it finds a
 \fIdebian/changelog\fR file.  As a safeguard against stray files
 causing potential problems, it will examine the name of the parent
 directory once it finds the \fIdebian/changelog\fR file, and check
@@ -69,10 +70,10 @@
 name of the \fI.changes\fR file.
 .TP
 \fB\-\-debs\-dir\fR \fIDIR\fR
-Look for the \fI.changes\fR and \fI.deb\fR files in directory
-\fIDIR\fR instead of the parent of the source directory.  This should
-either be an absolute path or relative to the top of the source
-directory.
+Look for the \fI.changes\fR, \fI.deb\fR and \fI.udeb\fR files in
+directory \fIDIR\fR instead of the parent of the source directory.
+This should either be an absolute path or relative to the top of the
+source directory.
 .TP
 \fB\-\-check-dirname-level\fR \fIN\fR
 See the above section "Directory name checking" for an explanation of
@@ -96,9 +97,9 @@
 purpose.  The currently recognised variables are:
 .TP
 .B DEBRELEASE_DEBS_DIR
-This specifies the directory in which to look for the \fI.changes\fR
-and \fI.deb\fR files, and is either an absolute path or relative to
-the top of the source tree.  This corresponds to the
+This specifies the directory in which to look for the \fI.changes\fR,
+\fI.deb\fR and \fI.udeb\fR files, and is either an absolute path or
+relative to the top of the source tree.  This corresponds to the
 \fB\-\-debs\-dir\fR command line option.  This directive could be
 used, for example, if you always use \fBpbuilder\fR or
 \fBsvn-buildpackage\fR to build your packages.  Note that it also
diff -ur devscripts-2.9.27.orig/debi.pl devscripts-2.9.27/debi.pl
--- devscripts-2.9.27.orig/debi.pl	2006-11-16 11:26:46.000000000 +0100
+++ devscripts-2.9.27/debi.pl	2006-12-29 16:25:43.000000000 +0100
@@ -69,8 +69,8 @@
 sub usage_c {
     print <<"EOF";
 Usage: $progname [options] [.changes file] [package ...]
-  Display the contents of the .deb file(s) just created, as listed
-  in the generated .changes file or the .changes file specified.
+  Display the contents of the .deb or .udeb file(s) just created, as
+  listed in the generated .changes file or the .changes file specified.
   If packages are listed, only display those specified packages
   from the .changes file.  Options:
     --no-conf or      Don\'t read devscripts config files;
@@ -333,7 +333,9 @@
     last if $infiles and /^[^ ]/;
     /^Files:/ and $infiles=1, next;
     next unless $infiles;
-    if (/ (\S*\.deb)$/) {
+    # udebs only supported for debc!
+    if ((($progname eq 'debi') && (/ (\S*\.deb)$/)) ||
+        (($progname eq 'debc') && (/ (\S*\.u?deb)$/))) {
         my $deb = $1;
         $deb =~ /^([a-z0-9+\.-]+)_/ or warn "unrecognised .deb name: $deb\n";
 	# don't want other archs' .debs:
